set -gx PATH /usr/local/opt/coreutils/libexec/gnubin $PATH
set -gx PATH /opt/homebrew/coreutils/libexec/gnubin $PATH
set -gx PATH /opt/homebrew/bin $PATH
set -gx PATH /usr/local/bin $PATH
set -gx PATH /snap/bin $PATH
set -gx GOPATH $HOME/.go
set -gx PATH $HOME/.local/bin $PATH
set -gx PATH $HOME/.cargo/bin $PATH
set -gx PATH $HOME/.go/bin $PATH
set -gx EDITOR nvim
set fish_color_valid_path
set -g fish_greeting

if [ -f ~/.1password/agent.sock ];
  set -g SSH_AUTH_SOCK ~/.1password/agent.sock
end

# Commands to run in interactive sessions can go here
if status is-interactive
	if type -q atuin
		atuin init fish --disable-up-arrow | source
	end

	# >>> conda initialize >>>
	# !! Contents within this block are managed by 'conda init' !!
	if test -f /usr/local/Caskroom/miniconda/base/bin/conda
		eval /usr/local/Caskroom/miniconda/base/bin/conda "shell.fish" hook $argv | source &
	end
	# <<< conda initialize <<<


    if test -f /opt/homebrew/Caskroom/miniconda/base/etc/fish/conf.d/conda.fish
		source /opt/homebrew/Caskroom/miniconda/base/etc/fish/conf.d/conda.fish
		conda activate base &
	end

	if type -q jump
		# initialize jump cd
		jump shell fish | source
	end
end
# aliases
alias b "bat -p --pager=never"
alias l "ls -la"
alias lll "ls -latr"
alias lg "lazygit"
alias z j
# abbreviations
abbr lsn littlesnitch
abbr nv nvim
abbr vim nvim
abbr vi nvim

# functions
function sss
    python3 ~/.config/scripts/ss.py --model gpt-3.5-turbo $argv
end

function ss
    python3 ~/.config/scripts/ss.py $argv
end

function s
    kitty +kitten ssh $argv
end

function icat
    kitty +kitten icat --align=left $argv
end

function winbox
	~/dev/winbox/run.sh&
end

if [ -e /home/anton/.nix-profile/etc/profile.d/nix.fish ]; . /home/anton/.nix-profile/etc/profile.d/nix.fish; end

# The next line updates PATH for the Google Cloud SDK.
if [ -f "/Users/anton/dev/google-cloud-sdk/path.fish.inc" ]
	. "/Users/anton/dev/google-cloud-sdk/path.fish.inc"; 
end

direnv hook fish | source
if [ -f '~/.config/op/plugins.sh' ]; source ~/.config/op/plugins.sh; end
